Bug 22901 - On item search authorised values select disappears on conditional change
Summary: On item search authorised values select disappears on conditional change
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-14 06:20 UTC by Fridolin SOMERS
Modified: 2019-10-14 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22901 - in items search fix search field change listerning (1.89 KB, patch)
2019-05-14 06:31 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22901 - in items search fix search field change listerning (1.94 KB, patch)
2019-05-17 20:01 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22901: On items search fix search field change listening (2.00 KB, patch)
2019-05-28 05:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-05-14 06:20:57 UTC
in items search, when there is a custom field with authorised values :
when changing the conditional select AND/OR then the authorised values select disappears.
This behaviour is like when the search field is changed.
Comment 1 Fridolin SOMERS 2019-05-14 06:31:48 UTC
Created attachment 89726 [details] [review]
Bug 22901 - in items search fix search field change listerning

In items search, when there is a custom field with authorised values :
when changing the conditional select AND/OR then the authorised values select disappears.
This behaviour is like when the search field is changed.

The bug is that JavaScript code meaning search field change listens on all selects instead of only search field select.

Test plan :
1) Define a custom items search field with authorised values
2) Go to items search
3) Click on 'New field'
4) On second line, select custom field
5) The authorised values select appears
6) Select 'AND' in conditional select
7) Without patch the authorised values select disappears, with patch nothing changes
8) On second line, select a non-custom field
9) The authorised values select is replaced by a text field
10) On second line, select custom field
11) The authorised values select appears
Comment 2 Maryse Simard 2019-05-17 20:01:51 UTC
Created attachment 89920 [details] [review]
Bug 22901 - in items search fix search field change listerning

In items search, when there is a custom field with authorised values :
when changing the conditional select AND/OR then the authorised values select disappears.
This behaviour is like when the search field is changed.

The bug is that JavaScript code meaning search field change listens on all selects instead of only search field select.

Test plan :
1) Define a custom items search field with authorised values
2) Go to items search
3) Click on 'New field'
4) On second line, select custom field
5) The authorised values select appears
6) Select 'AND' in conditional select
7) Without patch the authorised values select disappears, with patch nothing changes
8) On second line, select a non-custom field
9) The authorised values select is replaced by a text field
10) On second line, select custom field
11) The authorised values select appears

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-05-28 05:41:11 UTC
Created attachment 90136 [details] [review]
Bug 22901: On items search fix search field change listening

In items search, when there is a custom field with authorised values :
when changing the conditional select AND/OR then the authorised values select disappears.
This behaviour is like when the search field is changed.

The bug is that JavaScript code meaning search field change listens on all selects instead of only search field select.

Test plan :
1) Define a custom items search field with authorised values
2) Go to items search
3) Click on 'New field'
4) On second line, select custom field
5) The authorised values select appears
6) Select 'AND' in conditional select
7) Without patch the authorised values select disappears, with patch nothing changes
8) On second line, select a non-custom field
9) The authorised values select is replaced by a text field
10) On second line, select custom field
11) The authorised values select appears

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-05-30 10:34:53 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-05-30 20:43:07 UTC
Pushed to 18.11.x for 18.11.06